(**
 * The First-Order LoopW Proof Checker proof checking.
 *
 * The proof checker verify that the given program respresents a correct proof.
 *
 * @author Tristan Crolard <crolard@univ-paris12.fr>
 * @author Emmanuel Polonowski <polonowski@univ-paris12.fr>
 * @version 0.2.4
 *)
signature PROOF_CHECKER = sig

(**
 * check that the given program represents a correct proof.
 *
 * @params p
 * @param p the program.
 *
 * @return true if and only if p is a correct proof.
 *)
val checkClosedProg : ProofAst.program -> bool

end
