(**
 * The First-Order LoopW Type Inference proof inference.
 *
 * The proof inference builds a complete proof structure from a
 * source code.
 *
 * @author Tristan Crolard <crolard@univ-paris12.fr>
 * @author Emmanuel Polonowski <polonowski@univ-paris12.fr>
 * @version 0.2.4
 *)
signature PROOF_INFER = sig

(**
 * returns the complete proof.
 *
 * @params p
 * @param p the source program.
 *
 * @return the complete proof representation of p.
 *)
val proofInfer : CoreAst.program -> ProofAst.program

end

